#ifndef  COMMON_DEBUG_LOG_H
#define  COMMON_DEBUG_LOG_H


namespace t3devlib {
namespace gen {

void debug_log(const char* pFile, const char * value);
void debug_log_PreDecode(const char* pFile, const char * type);
void debug_log_PreDecodeField(const char* pFile, const char * type, int id);
void debug_log_PostDecodeField(const char* pFile, const char * type, int id);

}} //namespaces

#endif

